package dev.pfaff.glass.glfw.callbacks;

/**
 * @see <a href="https://www.glfw.org/docs/3.4/group__init.html">Initialization, version and error reference</a>
 * @see <a href="https://www.glfw.org/docs/3.4/group__errors.html">Error codes</a>
 */
@FunctionalInterface
public interface ErrorCallback {
	void errorOccurred(int code, String description);
}
