package dev.pfaff.glass.opengl.enums;

import java.util.List;

import dev.pfaff.glass.opengl.GLEnum;

import static java.util.FormatProcessor.FMT;

public enum GLFragmentOp1ATI implements GLEnum {
	MOV_ATI(0x8961);
	
	private final int glEnum;

	GLFragmentOp1ATI(int glEnum) {
		this.glEnum = glEnum;
	}

	public static final List<GLFragmentOp1ATI> VALUES = List.of(values());

	@Override
	public int glEnum() {
		return glEnum;
	}

	/**
	 * Returns the enum constant corresponding to the provided raw value.
	 *
	 * @throws IllegalArgumentException if the provided raw value does not exist in this enum group.
	 */
	public static GLFragmentOp1ATI fromGLEnum(int glEnum) {
		return switch (glEnum) {
			case 0x8961 -> MOV_ATI;
			default -> throw RawGLEnum.newUnrecognizedValueError(glEnum, "GLFragmentOp1ATI");
		};
	}
}