package dev.pfaff.glass.opengl.enums;

import java.util.List;

import dev.pfaff.glass.opengl.GLEnum;

import static java.util.FormatProcessor.FMT;

public enum GLImageTransformTargetHP implements GLEnum {
	IMAGE_TRANSFORM_2D_HP(0x8161);
	
	private final int glEnum;

	GLImageTransformTargetHP(int glEnum) {
		this.glEnum = glEnum;
	}

	public static final List<GLImageTransformTargetHP> VALUES = List.of(values());

	@Override
	public int glEnum() {
		return glEnum;
	}

	/**
	 * Returns the enum constant corresponding to the provided raw value.
	 *
	 * @throws IllegalArgumentException if the provided raw value does not exist in this enum group.
	 */
	public static GLImageTransformTargetHP fromGLEnum(int glEnum) {
		return switch (glEnum) {
			case 0x8161 -> IMAGE_TRANSFORM_2D_HP;
			default -> throw RawGLEnum.newUnrecognizedValueError(glEnum, "GLImageTransformTargetHP");
		};
	}
}