package dev.pfaff.glass.opengl.enums;

import java.util.List;

import dev.pfaff.glass.opengl.GLEnum;

import static java.util.FormatProcessor.FMT;

public enum GLTextureFilterSGIS implements GLEnum {
	FILTER4_SGIS(0x8146);
	
	private final int glEnum;

	GLTextureFilterSGIS(int glEnum) {
		this.glEnum = glEnum;
	}

	public static final List<GLTextureFilterSGIS> VALUES = List.of(values());

	@Override
	public int glEnum() {
		return glEnum;
	}

	/**
	 * Returns the enum constant corresponding to the provided raw value.
	 *
	 * @throws IllegalArgumentException if the provided raw value does not exist in this enum group.
	 */
	public static GLTextureFilterSGIS fromGLEnum(int glEnum) {
		return switch (glEnum) {
			case 0x8146 -> FILTER4_SGIS;
			default -> throw RawGLEnum.newUnrecognizedValueError(glEnum, "GLTextureFilterSGIS");
		};
	}
}